using CommandLine;

namespace TwitterBand
{
    public class Options
    {
        [Option("a", "alwaysontop", HelpText = "Window will be always on top of other windows")]
        public bool AlwaysOnTop = false;

        [Option("q", "query", HelpText = "The word or hashtag to be searched for on twitter", Required = true)]
        public string Query = "";
    }
}