using System.Collections.Generic;
using NUnit.Framework;
using data.contracts;

namespace twittersearch.tests
{
    [TestFixture]
    public class TwitterSearchTests
    {
        private TwitterSearch sut;
        private IEnumerable<Tweet> result;

        [SetUp]
        public void Setup() {
            sut = new TwitterSearch();
            sut.Out_Update += x => result = x;
        }

        [Test, Explicit]
        public void Platine_verdrahtet_die_Bauteile() {
            sut.In_Search("#ccd");
            Assert.That(result, Is.Not.Empty);
        }
    }
}