using NUnit.Framework;
using Twitterizer;

namespace twittersearch.tests
{
    [TestFixture]
    public class TwitterTests
    {
        private Twitter sut;
        private TwitterSearchResultCollection result;

        [SetUp]
        public void Setup() {
            sut = new Twitter();
            sut.Out_Result += x => result = x;
        }

        [Test, Explicit]
        public void Suche_nach_einem_Hashtag() {
            sut.In_Search("#ccd");
            Assert.That(result.Count, Is.GreaterThan(0));
        }
    }
}