using NUnit.Framework;

namespace ebcbauteile.tests
{
    [TestFixture]
    public class SynchronizerTests
    {
        [Test]
        public void Event_wird_mit_Parameter_weitergeleitet() {
            var sut = new Synchronizer<int>();
            var eventArg = 0;
            sut.Out_Event += x => eventArg = x;

            sut.In_Event(42);

            Assert.That(eventArg, Is.EqualTo(42));
        }
    }
}